Label View
Get the label document URL for a shipping label.
GET
/api/v1/shipping/{label_id}/viewDescription
Returns label_url — a URL to download or display the combined label PDF.
Request
Headers
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer <access_token> | Yes |
| Content-Type | application/json | Yes |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| label_id | string | Yes | Pass the full value from the API response in path parameters. |
Response
| Field | Type | Description |
|---|---|---|
| label_url | string | URL to download the merged label PDF. |
Related Endpoints
Did this page help you?
Request
curl -X GET https://uat.unduit.com/api-exposed/api/v1/shipping/3659204-9876/view \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"Success Response
{
"label_url": "https://uat.unduit.com/api-exposed/show-my-file?path=assets/uploads/shipstationlabels/merge/&filename=label_9876.pdf&is_encrypted=1"
}